---
Fuzzer filename: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     externalLinkage
      functionLinenumber: 168
      functionLinenumberEnd: 181
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          55
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - crc32_differential
        - decode_base64_differential
        - encode_base64_differential
        - md5_differential
        - sha1_differential
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:174,5'
          Dst:             encode_base64_differential
        - Src:             'fuzz-crypto.c:175,5'
          Dst:             decode_base64_differential
        - Src:             'fuzz-crypto.c:176,5'
          Dst:             md5_differential
        - Src:             'fuzz-crypto.c:177,5'
          Dst:             sha1_differential
        - Src:             'fuzz-crypto.c:178,5'
          Dst:             crc32_differential
    - functionName:    encode_base64_differential
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     InternalLinkage
      functionLinenumber: 37
      functionLinenumberEnd: 88
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          113
      EdgeCount:       9
      CyclomaticComplexity: 2
      functionsReached:
        - BIO_ctrl
        - BIO_f_base64
        - BIO_free_all
        - BIO_new
        - BIO_push
        - BIO_s_mem
        - BIO_set_flags
        - BIO_write
        - abort
        - memcmp
        - pj_base64_decode
        - pj_base64_encode
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:44,5'
          Dst:             pj_base64_encode
        - Src:             'fuzz-crypto.c:51,19'
          Dst:             BIO_f_base64
        - Src:             'fuzz-crypto.c:51,11'
          Dst:             BIO_new
        - Src:             'fuzz-crypto.c:52,5'
          Dst:             BIO_set_flags
        - Src:             'fuzz-crypto.c:54,23'
          Dst:             BIO_s_mem
        - Src:             'fuzz-crypto.c:54,15'
          Dst:             BIO_new
        - Src:             'fuzz-crypto.c:55,5'
          Dst:             BIO_push
        - Src:             'fuzz-crypto.c:57,5'
          Dst:             BIO_write
        - Src:             'fuzz-crypto.c:58,5'
          Dst:             BIO_ctrl
        - Src:             'fuzz-crypto.c:60,22'
          Dst:             BIO_ctrl
        - Src:             'fuzz-crypto.c:62,9'
          Dst:             abort
        - Src:             'fuzz-crypto.c:66,18'
          Dst:             memcmp
        - Src:             'fuzz-crypto.c:68,9'
          Dst:             abort
        - Src:             'fuzz-crypto.c:70,5'
          Dst:             BIO_free_all
        - Src:             'fuzz-crypto.c:81,5'
          Dst:             pj_base64_decode
        - Src:             'fuzz-crypto.c:84,22'
          Dst:             memcmp
        - Src:             'fuzz-crypto.c:86,9'
          Dst:             abort
    - functionName:    decode_base64_differential
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     InternalLinkage
      functionLinenumber: 90
      functionLinenumberEnd: 102
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          29
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - pj_base64_decode
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:101,5'
          Dst:             pj_base64_decode
    - functionName:    md5_differential
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     InternalLinkage
      functionLinenumber: 104
      functionLinenumberEnd: 123
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          47
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached:
        - MD5
        - abort
        - memcmp
        - pj_md5_final
        - pj_md5_init
        - pj_md5_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:110,5'
          Dst:             pj_md5_init
        - Src:             'fuzz-crypto.c:111,5'
          Dst:             pj_md5_update
        - Src:             'fuzz-crypto.c:112,5'
          Dst:             pj_md5_final
        - Src:             'fuzz-crypto.c:116,5'
          Dst:             MD5
        - Src:             'fuzz-crypto.c:119,18'
          Dst:             memcmp
        - Src:             'fuzz-crypto.c:121,9'
          Dst:             abort
    - functionName:    sha1_differential
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     InternalLinkage
      functionLinenumber: 125
      functionLinenumberEnd: 148
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          49
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached:
        - SHA1_Final
        - SHA1_Init
        - SHA1_Update
        - abort
        - memcmp
        - pj_sha1_final
        - pj_sha1_init
        - pj_sha1_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:131,5'
          Dst:             pj_sha1_init
        - Src:             'fuzz-crypto.c:132,5'
          Dst:             pj_sha1_update
        - Src:             'fuzz-crypto.c:133,5'
          Dst:             pj_sha1_final
        - Src:             'fuzz-crypto.c:139,5'
          Dst:             SHA1_Init
        - Src:             'fuzz-crypto.c:140,5'
          Dst:             SHA1_Update
        - Src:             'fuzz-crypto.c:141,5'
          Dst:             SHA1_Final
        - Src:             'fuzz-crypto.c:144,18'
          Dst:             memcmp
        - Src:             'fuzz-crypto.c:146,9'
          Dst:             abort
    - functionName:    crc32_differential
      functionSourceFile: '/src/pjsip/tests/fuzz/fuzz-crypto.c'
      linkageType:     InternalLinkage
      functionLinenumber: 150
      functionLinenumberEnd: 164
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          40
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached:
        - abort
        - crc32
        - pj_crc32_calc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz-crypto.c:154,14'
          Dst:             pj_crc32_calc
        - Src:             'fuzz-crypto.c:158,16'
          Dst:             crc32
        - Src:             'fuzz-crypto.c:162,9'
          Dst:             abort
    - functionName:    crc32
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        3
      argTypes:
        - size_t
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    abort
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SHA1_Init
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SHA1_Update
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SHA1_Final
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    MD5
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_f_base64
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_new
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_set_flags
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_s_mem
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_push
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_write
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_ctrl
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        4
      argTypes:
        - 'N/A'
        - int
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    BIO_free_all
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    base256_char
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 48
      functionLinenumberEnd: 65
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - char
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         39
      ICount:          180
      EdgeCount:       52
      CyclomaticComplexity: 15
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    base256to64
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 70
      functionLinenumberEnd: 89
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - char
        - char
        - char
        - int
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         7
      ICount:          123
      EdgeCount:       12
      CyclomaticComplexity: 7
      functionsReached: []
      functionUses:    3
      BranchProfiles:
        - Branch String:   '../src/pjlib-util/base64.c:74,5'
          Branch Sides:    []
      Callsites:       []
    - functionName:    pj_base64url_decode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 203
      functionLinenumberEnd: 204
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - b64_decode
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:204,12'
          Dst:             b64_decode
    - functionName:    b64_decode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 137
      functionLinenumberEnd: 181
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         63
      ICount:          359
      EdgeCount:       79
      CyclomaticComplexity: 18
      functionsReached:
        - __assert_fail
        - base256_char
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:143,5'
          Dst:             __assert_fail
        - Src:             '../src/pjlib-util/base64.c:150,5'
          Dst:             __assert_fail
        - Src:             '../src/pjlib-util/base64.c:157,24'
          Dst:             base256_char
        - Src:             '../src/pjlib-util/base64.c:177,5'
          Dst:             __assert_fail
    - functionName:    __assert_fail
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_base64_decode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 197
      functionLinenumberEnd: 198
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - b64_decode
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:198,12'
          Dst:             b64_decode
    - functionName:    pj_base64url_encode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 191
      functionLinenumberEnd: 192
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          24
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - b64_encode
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:192,12'
          Dst:             b64_encode
    - functionName:    b64_encode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 94
      functionLinenumberEnd: 132
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         38
      ICount:          209
      EdgeCount:       47
      CyclomaticComplexity: 11
      functionsReached:
        - __assert_fail
        - base256to64
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:100,5'
          Dst:             __assert_fail
        - Src:             '../src/pjlib-util/base64.c:101,5'
          Dst:             __assert_fail
        - Src:             '../src/pjlib-util/base64.c:109,13'
          Dst:             base256to64
        - Src:             '../src/pjlib-util/base64.c:117,17'
          Dst:             base256to64
        - Src:             '../src/pjlib-util/base64.c:123,17'
          Dst:             base256to64
    - functionName:    pj_base64_encode
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 185
      functionLinenumberEnd: 186
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          24
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - b64_encode
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/base64.c:186,12'
          Dst:             b64_encode
    - functionName:    pj_crc32_calc
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/crc32.c'
      linkageType:     InternalLinkage
      functionLinenumber: 235
      functionLinenumberEnd: 240
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - pj_crc32_final
        - pj_crc32_init
        - pj_crc32_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/crc32.c:238,5'
          Dst:             pj_crc32_init
        - Src:             '../src/pjlib-util/crc32.c:239,5'
          Dst:             pj_crc32_update
        - Src:             '../src/pjlib-util/crc32.c:240,12'
          Dst:             pj_crc32_final
    - functionName:    pj_crc32_init
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/crc32.c'
      linkageType:     InternalLinkage
      functionLinenumber: 151
      functionLinenumberEnd: 153
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_crc32_update
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/crc32.c'
      linkageType:     InternalLinkage
      functionLinenumber: 158
      functionLinenumberEnd: 181
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          157
      EdgeCount:       18
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_crc32_final
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/crc32.c'
      linkageType:     InternalLinkage
      functionLinenumber: 185
      functionLinenumberEnd: 186
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_bzero
      functionSourceFile: '/src/pjsip/pjlib-util/build/../../pjlib/include/pj/string.h'
      linkageType:     InternalLinkage
      functionLinenumber: 820
      functionLinenumberEnd: 826
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_md5_final
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/md5.c'
      linkageType:     InternalLinkage
      functionLinenumber: 122
      functionLinenumberEnd: 162
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          98
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - MD5Transform
        - pj_bzero
        - pj_memcpy
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/md5.c:140,9'
          Dst:             pj_bzero
        - Src:             '../src/pjlib-util/md5.c:142,9'
          Dst:             MD5Transform
        - Src:             '../src/pjlib-util/md5.c:145,9'
          Dst:             pj_bzero
        - Src:             '../src/pjlib-util/md5.c:148,9'
          Dst:             pj_bzero
        - Src:             '../src/pjlib-util/md5.c:155,5'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:156,5'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:158,5'
          Dst:             MD5Transform
        - Src:             '../src/pjlib-util/md5.c:160,5'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:161,5'
          Dst:             pj_bzero
    - functionName:    MD5Transform
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/md5.c'
      linkageType:     InternalLinkage
      functionLinenumber: 184
      functionLinenumberEnd: 264
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          1604
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_memcpy
      functionSourceFile: '/src/pjsip/pjlib-util/build/../../pjlib/include/pj/string.h'
      linkageType:     InternalLinkage
      functionLinenumber: 853
      functionLinenumberEnd: 854
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          14
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    7
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_md5_update
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/md5.c'
      linkageType:     InternalLinkage
      functionLinenumber: 74
      functionLinenumberEnd: 115
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          156
      EdgeCount:       19
      CyclomaticComplexity: 6
      functionsReached:
        - MD5Transform
        - pj_memcpy
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/md5.c:93,13'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:96,9'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:98,9'
          Dst:             MD5Transform
        - Src:             '../src/pjlib-util/md5.c:105,9'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/md5.c:107,9'
          Dst:             MD5Transform
        - Src:             '../src/pjlib-util/md5.c:114,5'
          Dst:             pj_memcpy
    - functionName:    pj_md5_init
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/md5.c'
      linkageType:     InternalLinkage
      functionLinenumber: 58
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          30
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_memset
      functionSourceFile: '/src/pjsip/pjlib-util/build/../../pjlib/include/pj/string.h'
      linkageType:     InternalLinkage
      functionLinenumber: 839
      functionLinenumberEnd: 840
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          15
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_sha1_final
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/sha1.c'
      linkageType:     InternalLinkage
      functionLinenumber: 233
      functionLinenumberEnd: 261
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         14
      ICount:          122
      EdgeCount:       17
      CyclomaticComplexity: 5
      functionsReached:
        - pj_memset
        - pj_sha1_update
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/sha1.c:241,5'
          Dst:             pj_sha1_update
        - Src:             '../src/pjlib-util/sha1.c:243,9'
          Dst:             pj_sha1_update
        - Src:             '../src/pjlib-util/sha1.c:245,5'
          Dst:             pj_sha1_update
        - Src:             '../src/pjlib-util/sha1.c:253,5'
          Dst:             pj_memset
        - Src:             '../src/pjlib-util/sha1.c:254,5'
          Dst:             pj_memset
        - Src:             '../src/pjlib-util/sha1.c:255,5'
          Dst:             pj_memset
        - Src:             '../src/pjlib-util/sha1.c:256,5'
          Dst:             pj_memset
    - functionName:    pj_sha1_update
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/sha1.c'
      linkageType:     InternalLinkage
      functionLinenumber: 207
      functionLinenumberEnd: 227
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         13
      ICount:          134
      EdgeCount:       16
      CyclomaticComplexity: 5
      functionsReached:
        - SHA1_Transform
        - pj_memcpy
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/pjlib-util/sha1.c:215,9'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/sha1.c:216,9'
          Dst:             SHA1_Transform
        - Src:             '../src/pjlib-util/sha1.c:219,13'
          Dst:             pj_memcpy
        - Src:             '../src/pjlib-util/sha1.c:220,13'
          Dst:             SHA1_Transform
        - Src:             '../src/pjlib-util/sha1.c:225,5'
          Dst:             pj_memcpy
    - functionName:    pj_memcpy
      functionSourceFile: '/src/pjsip/pjlib-util/build/../../pjlib/include/pj/string.h'
      linkageType:     InternalLinkage
      functionLinenumber: 853
      functionLinenumberEnd: 854
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          14
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SHA1_Transform
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/sha1.c'
      linkageType:     InternalLinkage
      functionLinenumber: 134
      functionLinenumberEnd: 188
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          4639
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pj_sha1_init
      functionSourceFile: '/src/pjsip/pjlib-util/build/../src/pjlib-util/sha1.c'
      linkageType:     InternalLinkage
      functionLinenumber: 193
      functionLinenumberEnd: 201
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          34
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
